package com.sckw.core.common.enums.enums;

/**
 * @author lfdc
 * @version 1.0
 * @className AliyunOssFileTypeEnum
 * @description 阿里云文件类型
 * @company sckw
 * @date 2023-06-05 13:06:54
 */
public enum AliyunOssFileTypeEnum {
    BMP(".bmp","image/bmp"),
    GIF(".gif","image/gif"),
    JPEG(".jpeg","image/jpeg"),
    JPG(".jpg","image/jpeg"),
    PNG(".png","image/jpeg"),
    HTML(".html","text/html"),
    XML(".xml","text/xml"),
    TXT(".txt","application/octet-stream"),
    SQL(".sql","application/octet-stream"),
    VSD(".vsd","application/vnd.visio"),
    PDF(".pdf","application/pdf"),
    PPT(".ppt","application/vnd.ms-powerpoint"),
    PPTX(".pptx","application/vnd.ms-powerpoint"),
    DOC(".doc","application/msword"),
    DOCX(".docx","application/msword"),
    XLS(".xls","application/vnd.ms-excel"),
    XLSX(".xlsx","application/vnd.ms-excel"),
    CSV(".csv","application/vnd.ms-excel");


    String code;


    String text;


    AliyunOssFileTypeEnum() {
    }


    AliyunOssFileTypeEnum(String code, String text) {
        this.code = code;
        this.text = text;
    }


    public String getCode() {
        return code;
    }


    public void setCode(String code) {
        this.code = code;
    }


    public String getText() {
        return text;
    }


    public void setText(String text) {
        this.text = text;
    }

}
